
From: Renaud Lienhart <renaud.lienhart@free.fr>

In sys_sched_yield(), we cache current->array in the "array" variable, thus
there's no need to dereference "current" again later.

Signed-Off-By: Renaud Lienhart <renaud.lienhart@free.fr>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched-use-cached-variable-in-sys_sched_yield kernel/sched.c
--- devel/kernel/sched.c~sched-use-cached-variable-in-sys_sched_yield	2005-09-07 20:11:03.000000000 -0700
+++ devel-akpm/kernel/sched.c	2005-09-07 20:11:03.000000000 -0700
@@ -4038,7 +4038,7 @@ asmlinkage long sys_sched_yield(void)
 	if (rt_task(current))
 		target = rq->active;
 
-	if (current->array->nr_active == 1) {
+	if (array->nr_active == 1) {
 		schedstat_inc(rq, yld_act_empty);
 		if (!rq->expired->nr_active)
 			schedstat_inc(rq, yld_both_empty);
_
